7

I'm looking for instructions on how to download and install Spyder3.

I'm running Ubuntu 14.04 and these are my computer specifications:

  • Ubuntu 64bits
  • Lenovo 510 Core I7
  • Ram: 8gb

2 Answers 2

14

Spyder can be installed with the following commands:

Spyder

sudo apt install spyder

Spyder3

sudo apt install spyder3  

Python IDE for scientists
Spyder is a free open-source Python development environment providing MATLAB-like features in a simple and lightweight application.

If for you want to install the latest version of Sypder 3 instead of the Ubuntu package maintainer's version in Ubuntu 18.04 and earlier, the commands to do so are as follows:

sudo apt install python3-pip python3-pyqt4 python3-pyqt5 python3-pyqt5.qtsvg python3-pyqt5.qtwebkit  
sudo python3 -m pip install --upgrade spyder  

In Ubuntu 20.04 and later the commands to install the latest version of Sypder 3 are:

sudo apt install python3-pip python3-pyqt5 python3-pyqt5.qtsvg python3-pyqt5.qtwebkit  
sudo python3 -m pip install --upgrade spyder 

Spyder can do inline plotting. To try out this feature open the terminal and type:

sudo apt install python3 python3-matplotlib spyder3 ipython3  

After the ipython3 prompt in the IPython console copy/paste the below code and press the Enter key to run it.

import matplotlib.pyplot as plt   
x, y = [-1, 12], [1, 4]  
plt.plot(x, y, marker = 'o')  

enter image description here

2
  • 2
    Later in time it become just spyder3, so : sudo apt-get install spyder3
    – Omegafil
    Nov 24, 2017 at 9:15
  • @Omegafil spyder and spyder3 are two separate apps in all versions of Ubuntu from 12.04-19.04. You can install either one or both.
    – karel
    Jan 10, 2019 at 19:18
2

Spyder3 is only available for trusty from backports repository.

  1. Open software-properties-gtk → Update tab → Enable "Unsupported updates (trusty-backports)"
  2. On closing, reload package list.

Now, you will able to find it in the software-center, otherwise using command line:

sudo apt update
sudo apt install spyder3

For similar issues, you may search for packages through packages.ubuntu.com

Not the answer you're looking for? Browse other questions tagged or ask your own question.